Bug 313431 - Review Request: fedorainfinity-kdm-theme - Fedora Infinity KDM theme
Review Request: fedorainfinity-kdm-theme - Fedora Infinity KDM theme
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 314041
  Show dependency treegraph
 
Reported: 2007-09-30 21:24 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 12:02:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-09-30 21:24:56 EDT
Spec URL: http://repo.calcforge.org/f8/fedorainfinity-kdm-theme.spec
SRPM URL: http://repo.calcforge.org/f8/fedorainfinity-kdm-theme-1.0.0-1.fc7.src.rpm
Description:
This package contains the Fedora Infinity KDM theme that is the default
theme in Fedora 8.
(I ported the GDM theme to KDM. To use, s/FlyingHigh/Infinity/g in the default kdmrc, for both the theme and the color scheme.)
Comment 1 Rex Dieter 2007-10-02 13:45:50 EDT
I'll take this.
Comment 2 Rex Dieter 2007-10-02 13:55:40 EDT
A few picky SHOULDS:

1.  using %find_lang.  I don't see any included translations, so I'd suggest 
removing the extra bloat wrt %find_lang.

2.  use
%defattr(-, root, root, -)

and MUST:
3.  License: GPLv2
but missing
%doc COPYING

Otherwise, it's simple/clean, fix at item #3 (I'll trust you to do that).

APPROVED.
Comment 3 Rex Dieter 2007-10-02 13:56:22 EDT
Oh, and it looks real nice btw. :)
Comment 4 Ray Strode [halfline] 2007-10-02 14:10:31 EDT
The theme doesn't use a logo, yea?  Probably don't need the system-logos Requires.
Comment 5 Ray Strode [halfline] 2007-10-02 14:12:39 EDT
Also, might be good to talk to jeremy about getting this put on
http://git.fedoraproject.org/ with the other themes.
Comment 6 Kevin Kofler 2007-10-02 14:40:57 EDT
> 1.  using %find_lang.  I don't see any included translations, so I'd suggest
> removing the extra bloat wrt %find_lang.

That one was lifted from the fedorainfinity-gdm-theme specfile (which I used as 
the template), maybe the %find_lang should be removed there too?

> The theme doesn't use a logo, yea?  Probably don't need the system-logos
> Requires.

Shouldn't the Requires go away in fedorainfinity-gdm-theme too then?
Comment 7 Kevin Kofler 2007-10-02 14:43:40 EDT
I'm also going to go ahead and put GPL+ into the License tag because that's 
what the GDM theme now has and I sure don't care about what version of the GPL 
my changes are used under.
Comment 8 Kevin Kofler 2007-10-02 14:46:29 EDT
New Package CVS Request
=======================
Package Name: fedorainfinity-kdm-theme
Short Description: Fedora Infinity KDM theme
Owners: kkofler,rdieter,than
Branches:
InitialCC:
Cvsextras Commits: no

(Oops, actually putting in a valid CVS request this time. I accidentally set 
the flag and then commented about other stuff.)
Comment 9 Kevin Kofler 2007-10-02 14:58:11 EDT
Just for reference, this is what I intend to commit:

Spec URL: http://repo.calcforge.org/f8/fedorainfinity-kdm-theme.spec
SRPM URL: 
http://repo.calcforge.org/f8/fedorainfinity-kdm-theme-1.0.0-2.fc7.src.rpm

- Change License tag to GPL+ as for the GDM theme
- Drop unneeded Requires: system-logos
- Pass all 4 arguments to %%defattr
- Drop unneeded %%find_lang as there are no translations anyway
- Add COPYING as %%doc
Comment 10 Kevin Kofler 2007-10-02 15:09:19 EDT
Hmmm, is it actually OK to label this, the GDM theme it's based on and all the 
other redhat-artwork splitoffs as GPL+? The GPL says if there's a reference 
to "GNU General Public License" without a version specified, then any version 
can be chosen, but here the only reference to the GPL is the included copy of 
the GPLv2, so what actually applies here?
Comment 11 Ray Strode [halfline] 2007-10-02 15:43:41 EDT
Mo, what license is Fedora Infinity under?  Is it based on another theme?
Comment 12 Rex Dieter 2007-10-04 09:55:08 EDT
ping, cvsadmins (see comment #8 )?  Been a couple of days now, kde spin needs this.
Comment 13 Kevin Fenzi 2007-10-05 12:48:50 EDT
Sorry for the delay. 
cvs done.
Comment 14 Ray Strode [halfline] 2007-10-11 16:14:22 EDT
Hey Kevin,

Can you add an Obsoletes: redhat-artwork-kde 

to this package?
Comment 15 Kevin Kofler 2007-10-11 16:41:11 EDT
Yes, I'll do that.

It's not ideal because this will also remove stuff like Bluecurve which will 
have to be reinstalled by hand if the users want it, but that's the nature of 
package splits.
Comment 16 Kevin Kofler 2007-10-11 17:37:49 EDT
Obsoletes: redhat-artwork-kde added in fedorainfinity-kdm-theme-1.0.0-3.fc8, 
built for dist-f8.

Note You need to log in before you can comment on or make changes to this bug.